defmodule Amethyst.MixProject do
  use Mix.Project

  def project do
    [
      app: :amethyst,
      version: "0.1.0",
      elixir: "~> 1.17",
      start_permanent: Mix.env() == :prod,
      deps: deps(),
    
      name: "Amethyst",
      source_url: "https://git.colon-three.com/kodi/amethyst",
      docs: [
        main: "readme",
        extras: ["README.md", "LICENSE.md"]
      ]
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger, :public_key],
      mod: {Amethyst.Application, []}
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:credo, "~> 1.7", only: [:dev, :test], runtime: false},
      {:uuid, "~> 1.1"},
      {:ex_doc, "~> 0.22", only: :dev, runtime: false}
    ]
  end
end
